Modify

Opened 3 years ago

Last modified 21 months ago

#19762 new defect

luci-app-fwknopd throw an error and not working

Reported by: kpatrik90@… Owned by:
Priority: normal Milestone: Chaos Calmer 15.05
Component: luci Version: Trunk
Keywords: luci-app-fwknopd Cc: r45845

Description

In r45845 the fwknopd luci app is not working. The /usr/sbin/gen-qr.sh generate the xml header, and the luci throw an error:

This page contains the following errors:
error on line 145 at column 6: XML declaration allowed only at the start of the document
Below is a rendering of the page up to the first error.

Quick fix:
Modify the /usr/lib/lua/luci/view/fwknopd-qr.htm to remove the the first line of the gen-qr.sh output.

<% print(luci.sys.exec("sh /usr/sbin/gen-qr.sh | tail -n +2 ")) %>

Attachments (1)

fwknopd.png (352.2 KB) - added by kpatrik90@… 3 years ago.
luci-app-fwknopd

Download all attachments as: .zip

Change History (4)

Changed 3 years ago by kpatrik90@…

luci-app-fwknopd

comment:1 Changed 3 years ago by anonymous

Thanks! You saved my time, quick fix is working well.

comment:2 Changed 3 years ago by anonymous

BTW the problem still exists in Chaos Calmer r46522

comment:3 Changed 21 months ago by openwrt-dev@…

Bug still exists in CC 15.05.1! :-(

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.